%define lib_name %mklibname cddb-slave 2 %{lib_major}
%define lib_major 0
%define req_gail_version			0.13
%define req_gstreamer_version		0.10

Summary:	GNOME media programs
Name:		gnome-media
Version: 2.18.0
Release: %mkrel 4
License:	LGPL
Group:		Graphical desktop/GNOME
BuildRequires:	libgnomeui2-devel >= 2.13.2
BuildRequires:	ncurses-devel scrollkeeper sendmail-command
BuildRequires: gail-devel >= %{req_gail_version}
BuildRequires: libgstreamer-plugins-base-devel >= %{req_gstreamer_version}
BuildRequires: gstreamer0.10-plugins-base
BuildRequires:   gstreamer0.10-plugins-good
BuildRequires: gnome-desktop-devel
BuildRequires: libglade2.0-devel
BuildRequires: libnautilus-burn-devel >= 2.9.0
BuildRequires: perl-XML-Parser
BuildRequires: desktop-file-utils
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.3.90-2mdk disable sound event if needed
Patch2:		gnome-media-2.14.0-esd.patch
# (fc) 2.18.0-4mdv fix modality in profile editor (Mdv bug #29934) (SVN)
Patch3:		gnome-media-2.18.0-fixmodality.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://www.gnome.org/
Requires:   gstreamer0.10-audiosink >= %{req_gstreamer_version}
Requires:   gstreamer0.10-audiosrc >= %{req_gstreamer_version}
Requires:   gstreamer0.10-cdparanoia >= %{req_gstreamer_version}
Requires:   gstreamer0.10-plugins-good
Requires:   gstreamer0.10-plugins-base
Requires:   gstreamer0.10-flac
Requires:   gstreamer0.10-speex
Obsoletes:	grecord
Provides:	grecord
Requires(post):	scrollkeeper >= 0.3
Requires(postun):	scrollkeeper >= 0.3
Requires(post):	GConf2 >= 2.3.3
Requires(preun):	GConf2 >= 2.3.3

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set
of applications and desktop tools to be used in conjunction with
a window manager for the X Window System. GNOME is similar
in purpose and scope to CDE and KDE, but GNOME (as KDE) 
is based completely on Open Source software.

GNOME's powerful environment is pleasing on the eye, easy to
configure and use.

This package will install such media features as the GNOME
CD player.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
libraries for running GNOME media.

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for GNOME media
Group:		Development/GNOME and GTK+
Provides:	libcddb-slave2-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{lib_name}-devel
Panel libraries and header files for GNOME media.



%prep
%setup -q 
%patch2 -p1 -b .esd
%patch3 -p1 -b .fixmodality

%build

%configure2_5x

#parallel build is broken
make
cd vu-meter
make vumeter.desktop

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

rm -f %buildroot%{_libdir}/libglade/2.0/libgnome-media-profiles.a
rm -f %buildroot%_datadir/applications/vumeter.desktop.in
install -m 644 vu-meter/vumeter.desktop %buildroot%_datadir/applications/vumeter.desktop

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	needs="gnome" \
	command="%{_bindir}/gnome-cd" \
	section="Multimedia/Sound" \
	title="CD Player" \
	longtitle="Play audio CDs" \
	icon="%{_datadir}/pixmaps/gnome-cd.png" \
	startup_notify="true" xdg="true"
?package(%{name}): \
	needs="gnome" \
	command="%{_bindir}/gnome-volume-control" \
	section="Multimedia/Sound" \
	title="Volume Control" \
	longtitle="Adjust the volume level" \
	icon="%{_datadir}/pixmaps/gnome-mixer.png" \
	startup_notify="true" xdg="true"
?package(%{name}): \
	needs="gnome" \
	command="%{_bindir}/vumeter" \
	section="Multimedia/Sound" \
	title="Volume monitor" \
	longtitle="Monitor the sound output volume" \
	icon="%{_datadir}/pixmaps/gnome-vumeter.png" \
	startup_notify="true" xdg="true"
?package(%{name}): \
	needs="gnome" \
	command="%{_bindir}/vumeter -r" \
	section="Multimedia/Sound" \
	title="Recording level monitor" \
	longtitle="Monitor the recording input volume" \
	icon="%{_datadir}/pixmaps/gnome-vumeter.png" \
	startup_notify="true" xdg="true"
?package(%{name}): \
	needs="x11" \
	command="%{_bindir}/gnome-sound-recorder" \
	section="Multimedia/Sound" \
	title="Sound Recorder" \
	longtitle="Record sound clips" \
	icon="%{_datadir}/pixmaps/gnome-grecord.png" \
	startup_notify="true" xdg="true"
?package(%{name}): \
	needs="gnome" \
	command="%{_bindir}/cddb-slave2-properties" \
	section="System/Configuration/GNOME/Advanced" \
	title="CD Database" \
	longtitle="Modify your CD database preferences" \
	icon="%{_datadir}/pixmaps/gnome-cd.png" \
	startup_notify="true" xdg="true"
?package(%{name}): \
	needs="gnome" \
	command="%{_bindir}/gstreamer-properties" \
	section="System/Configuration/GNOME/Advanced" \
	title="Multimedia Systems Selector" \
	longtitle="Configure defaults for GStreamer applications" \
	icon="%{_datadir}/pixmaps/gstreamer-properties.png" \
	startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{gnome-cd.desktop,gnome-volume-control.desktop,vumeter.desktop,gnome-sound-recorder.desktop,reclevel.desktop}
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AdvancedSettings" \
  --add-category="DesktopSettings" \
  --add-category="X-MandrivaLinux-System-Configuration-Gnome" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/{gstreamer-properties.desktop,cddb-slave.desktop}



%find_lang %{name}-2.0 --with-gnome --all-name
for omf in %buildroot%_datadir/omf/*/{*-??.omf,*-??_??.omf};do
 echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name-2.0.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper
%define schemas CDDB-Slave2 gnome-cd gnome-sound-recorder gnome-audio-profiles gnome-volume-control
%post_install_gconf_schemas %schemas
%{update_menus}

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%clean_scrollkeeper
%{clean_menus}

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files -f  %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/CDDB-Slave2.schemas
%{_sysconfdir}/gconf/schemas/gnome-cd.schemas
%{_sysconfdir}/gconf/schemas/gnome-sound-recorder.schemas
%{_sysconfdir}/gconf/schemas/gnome-audio-profiles.schemas
%{_sysconfdir}/gconf/schemas/gnome-volume-control.schemas
%{_bindir}/*
%{_libexecdir}/CDDBSlave2
%{_libexecdir}/cddb-track-editor
%{_libdir}/bonobo/servers/*
%{_libdir}/libglade/2.0/libgnome-media-profiles.so
%{_libdir}/libglade/2.0/libgnome-media-profiles.la
%{_datadir}/applications/cddb-slave.desktop
%{_datadir}/applications/gnome-cd.desktop
%{_datadir}/applications/gnome-sound-recorder.desktop
%{_datadir}/applications/gnome-volume-control.desktop
%{_datadir}/applications/gstreamer-properties.desktop
%{_datadir}/applications/reclevel.desktop
%{_datadir}/applications/vumeter.desktop
%{_datadir}/gnome-media
%{_datadir}/gnome-sound-recorder
%{_datadir}/gstreamer-properties
%{_datadir}/pixmaps/*
%dir %{_datadir}/omf/gnome-media
%{_datadir}/omf/gnome-media/*-C.omf
%{_menudir}/*
%{_datadir}/idl/*

%files -n  %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n  %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/gnome-media-profiles.pc
%{_includedir}/*




%changelog
* Fri May 11 2007 Frederic Crozat <fcrozat@mandriva.com> 2.18.0-4mdv2008.0
+ Revision: 26370
- Patch3 (SVN): fix modality in profile editor (Mdv bug #29934)


* Thu Mar 15 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-3mdv2007.1
+ Revision: 144424
- move pkgconfig file to the devel package

* Tue Mar 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.18.0-2mdv2007.1
+ Revision: 142468
- fix requiring devel packages

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 141621
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 119041
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 111889
- new version

* Sun Jan 07 2007 Götz Waschk <waschk@mandriva.org> 2.17.2-1mdv2007.1
+ Revision: 105304
- new version

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
+ Revision: 100408
- Import gnome-media

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 2.17.1-1mdv2007.1
- New version 2.17.1

* Wed Sep 20 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.1-2mdv2007.0
- Fix xdg menu

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New release 2.16.1

* Tue Sep 05 2006 Gtz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- fix vumeter installation
- New release 2.16.0

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-6mdv2007.0
- Rebuild with latest dbus

* Fri Jul 14 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-5mdv2007.0
- Rebuild with latest libgail

* Sat Jun 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.2-4mdv2007.0
- Add missing dependencies for audio profiles

* Fri Jun 23 2006 Gtz Waschk <waschk@mandriva.org> 2.14.2-3mdv2007.0
- move gnome-media-profiles.pc to the main package
- new macros
- xdg menu

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.1
- rebuild for new nautilus-cd-burner

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Thu Apr 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.14.0-2mdk
- add BuildRequires: gstreamer0.10-plugins-base

* Wed Apr 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.0-1mdk
- Release 2.14.0
- Regenerate patch0

* Thu Mar 02 2006 Götz Waschk <waschk@mandriva.org> 2.12.0-6mdk
- Rebuild to remove howl dep

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-5mdk
- Fix uninstall script

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 2.12.0-4mdk
- rebuild for new dbus
- use mkrel

* Fri Dec 30 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.12.0-3mdk
- Rebuild

* Tue Oct 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-2mdk
- Rebuild with correct version of nautilus-cd-burner

* Sat Oct 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0
- Remove patches 7, 8, 9 (merged upstream)

* Sat Sep 03 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-5mdk
- rebuild to remove glitz dep

* Fri Sep 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-4mdk 
- Update patch9 to not crash when selecting the default mixer

* Sat Aug 27 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-3mdk 
- Patch9 (BBB): select Alsa mixer if available (Mdk bug #17637)

* Sat Jul 30 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-2mdk 
- Drop explicit dependency on yelp

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.2-1mdk 
- Release 2.10.2 (based on Gtz Waschk package)
- Remove patches 3, 4, 5, 6 (merged upstream)
- Patch8: init i18n in audio profile editor

* Tue Apr 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-5mdk 
- Update patch5 with more crash fixes 
- add dependency from lib to main package to fix Mdk bug #15005

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-4mdk 
- Patch6 (CVS): fix wrong start when inserting CD 
- Patch7: fix crash when inserting/ejecting CD (Mdk bug #14266)

* Mon Feb 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-3mdk 
- Patch5 (CVS): fix crash when creating new audio profile (Mdk bug #12543)

* Fri Feb 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-2mdk 
- Patch4 (CVS): don't call textdomain in gnome_media_profiles_init

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0
- Regenerate patch2
- Remove patch3 (merged upstream)
- Requires gstreamer-GConf (mdk bug #12081)
- Patch3 (Fedora): make help button of gst-properties work

* Fri Oct 01 2004 David Baudens <baudens@mandrakesoft.com> 2.6.2-4mdk
- Set gnome-sound-recorder menu entry to "needs=x11"

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-3mdk
- Patch3 (CVS): don't complain on one track elements

* Tue Aug 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2-2mdk
- Sync menu entry title/longtitle with upstream (bug #10597)
- Enable libtoolize

* Fri May 14 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- New release 2.6.2

* Tue Apr 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-3mdk
- fix buildrequires

* Fri Apr 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix buildrequires

* Wed Apr 21 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)
- Remove patch1 (no longer needed)
- Regenerate patch2

